// Node client 
// Dependency https://github.com/vpulim/node-soap
// Install with npm soap, this will put node_module in local folder

"use strict";

var soap = require ('soap');
var url = "https://gateway.agms.com/roxapi/agms.asmx?WSDL";

var params = {
	GatewayUserName : "your username",
	GatewayPassword : "your password",
	TransactionType : "sale",
	PaymentType : "creditcard",
	Amount : "1.00",
	CCNumber : "4111111111111111",
	CCExpDate : "0120",
	CVV : "123"
}


soap.createClient(url, function(error, client){
	try {
		client.ProcessTransaction({objparameters: params}, function(error, response){
			console.log(response.ProcessTransactionResult);
		});
	} 
	catch(error) {
  		console.error(error);
	}
});

